# Trait db_sqlx_maria::dev::dev::prelude::Migrate

source · [−]

    pub trait Migrate: MCDatabase {
        fn migrate<'life0, 'async_trait>(
            &'life0 self
        ) -> Pin<Box<dyn Future<Output = Result<(), DBError>> + Send + 'async_trait, Global>>
        where
            'life0: 'async_trait,
            Self: 'async_trait;
    }

Expand description

database migrations

## Required Methods

source

#### fn migrate<'life0, 'async_trait>(
&'life0 self
) -> Pin<Box<dyn Future<Output = Result<(), DBError>> + Send + 'async_trait, Global>> where
'life0: 'async_trait,
Self: 'async_trait,

database specific error-type run migrations

## Implementors

source

### impl Migrate for Database